#-*- mode: ruby; coding: utf-8 -*-
require 'gem2deb/rake/testtask'

task :default => :test

Gem2Deb::Rake::TestTask.new(:test) do |t|
  t.libs << 'lib' << 'test'
  if ENV['AUTOPKGTEST_TEST_COFFEESCRIPT']
    t.test_files = FileList['test/test_coffeescript.rb']
  elsif ENV['AUTOPKGTEST_TEST_NEW_COMMAND']
    t.test_files = FileList['test/test_new_command.rb']
  else
    t.test_files = FileList['test/test_*.rb'].exclude(/.*coffeescript.*|.*theme.*/) - FileList['test/test_new_command.rb']
  end
  t.verbose = true
end
